package com.yihu.jw.entity.iot.gateway;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * GtToken entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "gc_token")
@SequenceGenerator(name="id_generated", sequenceName="GC_TOKEN_SQU")
public class GcToken extends IntegerIdentityEntity implements java.io.Serializable {

    // Fields

    private String appid;
    private String accesstoken;
    private Date createTime;
    private Date outTime;
    private Integer del;

    // Constructors

    /**
     * default constructor
     */
    public GcToken() {
    }

    /**
     * full constructor
     */
    public GcToken(String appid, String accesstoken, Date createTime,
                   Date outTime, Integer del) {
        this.appid = appid;
        this.accesstoken = accesstoken;
        this.createTime = createTime;
        this.outTime = outTime;
        this.del = del;
    }

    @Column(name = "appid", length = 200)
    public String getAppid() {
        return this.appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    @Column(name = "accesstoken")
    public String getAccesstoken() {
        return accesstoken;
    }

    public void setAccesstoken(String accesstoken) {
        this.accesstoken = accesstoken;
    }


    @Column(name = "create_time", length = 0)
    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "out_time", length = 0)
    public Date getOutTime() {
        return this.outTime;
    }

    public void setOutTime(Date outTime) {
        this.outTime = outTime;
    }

    @Column(name = "del")
    public Integer getDel() {
        return this.del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

}